Bug 258458 - [NEW PORT] devel/wasm3: The fastest WebAssembly interpreter, and the most universal
Summary: [NEW PORT] devel/wasm3: The fastest WebAssembly interpreter, and the most un...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL: https://github.com/wasm3/wasm3
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-12 13:00 UTC by Martin Filla
Modified: 2021-09-19 04:47 UTC (History)
2 users (show)

See Also:


Attachments
wasm3.shar (1.04 KB, patch)
2021-09-12 13:00 UTC, Martin Filla
no flags Details | Diff
my version. (1.73 KB, application/x-gzip)
2021-09-18 13:13 UTC, Vanilla I. Shu
no flags Details
wasm3.shar (4.31 KB, text/plain)
2021-09-18 13:42 UTC, Martin Filla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2021-09-12 13:00:44 UTC
Created attachment 227855 [details]
wasm3.shar
Comment 1 Vanilla I. Shu freebsd_committer 2021-09-18 13:13:58 UTC
Created attachment 227979 [details]
my version.

Hi:

I could not build this ports in poudriere env,

because it will download libuv/uvwasi from GitHub.

here is my modified version,
it will add uvwasi to GH_TUPLE, and use preinstalled libuv.

could you test it, thanks.
Comment 2 Martin Filla 2021-09-18 13:42:25 UTC
Created attachment 227981 [details]
wasm3.shar

Update shar file
Comment 3 Martin Filla 2021-09-18 13:43:29 UTC
(In reply to Vanilla I. Shu from comment #1)
=======================<phase: package        >============================
===>  Building package for wasm3-0.5.0
===========================================================================
=>> Recording filesystem state for preinst... done
=======================<phase: install        >============================
===>  Installing for wasm3-0.5.0
===>  Checking if wasm3 is already installed
===>   Registering installation for wasm3-0.5.0
[freebsd_12-2x64-default] Installing wasm3-0.5.0...
===========================================================================
=>> Checking shared library dependencies
 0x0000000000000001 NEEDED               Shared library: [libc.so.7]
 0x0000000000000001 NEEDED               Shared library: [libm.so.5]
 0x0000000000000001 NEEDED               Shared library: [libuv.so.1]
=======================<phase: deinstall      >============================
===>  Deinstalling for wasm3
===>   Deinstalling wasm3-0.5.0
Updating database digests format: .......... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	wasm3: 0.5.0

Number of packages to be removed: 1
[freebsd_12-2x64-default] [1/1] Deinstalling wasm3-0.5.0...
[freebsd_12-2x64-default] [1/1] Deleting files for wasm3-0.5.0: .... done
===========================================================================
=>> Checking for extra files and directories
[00:00:17] Installing from package
[freebsd_12-2x64-default] Installing wasm3-0.5.0...
[freebsd_12-2x64-default] Extracting wasm3-0.5.0: .... done
[00:00:17] Cleaning up
===>  Cleaning for wasm3-0.5.0
[00:00:17] Deinstalling package
Updating database digests format: . done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	wasm3: 0.5.0

Number of packages to be removed: 1
[freebsd_12-2x64-default] [1/1] Deinstalling wasm3-0.5.0...
[freebsd_12-2x64-default] [1/1] Deleting files for wasm3-0.5.0: .... done
build of devel/wasm3 | wasm3-0.5.0 ended at Sat Sep 18 15:39:33 CEST 2021
build time: 00:00:12
[00:00:17] Logs: /usr/local/poudriere/data/logs/bulk/freebsd_12-2x64-default/2021-09-18_15h39m17s
[00:00:17] Cleaning up
freebsd_12-2x64-default: removed
freebsd_12-2x64-default-n: removed
[00:00:17] Unmounting file systems
Comment 4 Vanilla I. Shu freebsd_committer 2021-09-19 04:46:47 UTC
Committed, thanks.
Comment 5 commit-hook freebsd_committer 2021-09-19 04:47:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8f0b24d62bc67d33044aa08d5fc068d28ab5d302

commit 8f0b24d62bc67d33044aa08d5fc068d28ab5d302
Author:     Vanilla I. Shu <vanilla@FreeBSD.org>
AuthorDate: 2021-09-19 04:43:55 +0000
Commit:     Vanilla I. Shu <vanilla@FreeBSD.org>
CommitDate: 2021-09-19 04:46:36 +0000

    devel/wasm3: add ports.

    PR:             258458
    Reported by:    Martin Filla <freebsd at sysctl.cz>

 devel/Makefile                                     |  1 +
 devel/wasm3/Makefile (new)                         | 25 ++++++++++++
 devel/wasm3/distinfo (new)                         |  5 +++
 devel/wasm3/files/patch-CMakeLists.txt (new)       | 27 +++++++++++++
 .../patch-__deps_uvwasi-src_CMakeLists.txt (new)   | 45 ++++++++++++++++++++++
 devel/wasm3/pkg-descr (new)                        |  3 ++
 6 files changed, 106 insertions(+)